## org.eclipse.datatools.sqltools.sqlbuilder.input
Class SQLBuilderEditorInputUsageOptions

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.input.SQLBuilderEditorInputUsageOptions

All Implemented Interfaces:
  ISQLBuilderEditorInputUsageOptions

    public class SQLBuilderEditorInputUsageOptions

extends java.lang.Object
implements ISQLBuilderEditorInputUsageOptions

This class defines the usage options of ISQLBuilderEditorInput. An option may be specified to ignore a specific input info even if exists.

Constructor Summary
`SQLBuilderEditorInputUsageOptions()` No parameter constructor for SQLBuilderEditorInputUsageOptions
`SQLBuilderEditorInputUsageOptions(boolean useWindowState)` Constructor for SQLBuilderEditorInputUsageOptions with parameter for useWindowState

Method Summary
`static SQLBuilderEditorInputUsageOptions` `decode(java.lang.String code)` Decodes a `SQLBuilderEditorInputUsageOptions` from an encoded String.
`java.lang.String` `encode()` Implements `ISQLBuilderEditorInputUsageOptions.encode()`
`void` `setUseWindowState(boolean windowState)` Specifies whether to restore/save the window state information.
`boolean` `useWindowState()` Indicates whether to restore/save the window state information.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLBuilderEditorInputUsageOptions

    public SQLBuilderEditorInputUsageOptions()

  No parameter constructor for SQLBuilderEditorInputUsageOptions

### SQLBuilderEditorInputUsageOptions

    public SQLBuilderEditorInputUsageOptions(boolean useWindowState)

  Constructor for SQLBuilderEditorInputUsageOptions with parameter for useWindowState

Method Detail

### useWindowState

    public boolean useWindowState()

  Description copied from interface: `ISQLBuilderEditorInputUsageOptions`
  Indicates whether to restore/save the window state information.

  Specified by:
    `useWindowState` in interface `ISQLBuilderEditorInputUsageOptions`

### setUseWindowState

    public void setUseWindowState(boolean windowState)

  Description copied from interface: `ISQLBuilderEditorInputUsageOptions`
  Specifies whether to restore/save the window state information.

  Specified by:
    `setUseWindowState` in interface `ISQLBuilderEditorInputUsageOptions`
  Parameters:
    `windowState` - true to use the input's window state if exists; false to ignore the window state info even if it exists

### encode

    public java.lang.String encode()

  Implements `ISQLBuilderEditorInputUsageOptions.encode()`

  Specified by:
    `encode` in interface `ISQLBuilderEditorInputUsageOptions`
  Returns:
    encoded String
  See Also:
    `decode()`

### decode

    public static SQLBuilderEditorInputUsageOptions decode(java.lang.String code)

  Decodes a `SQLBuilderEditorInputUsageOptions` from an encoded String.

  Parameters:
    `code` - encoded `SQLBuilderEditorInputUsageOptions` object.
  Returns:
    `SQLBuilderEditorInputUsageOptions` object
  See Also:
    `encode()`